Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.ifs.server
Class S_TieLibraryObject

    java.lang.Object

      |

      +--oracle.ifs.server.S_LibraryObject

            |

            +--oracle.ifs.server.S_TieLibraryObject

All Implemented Interfaces:
  IfsEventHandler, LibraryObjectInterface, Traceable

Direct Known Subclasses:
  S_PublicObject, S_SchemaObject, S_SystemObject

public abstract class S_TieLibraryObject
extends S_LibraryObject

S_TieLibraryObject allows the Oracle-defined behavior of S_LibraryObject (and its subclasses) to be extended or overridden through the server extensibility API.

See Also:
  `S_LibraryObject`

Constructor Summary
`protected` | `S_TieLibraryObject(S_LibrarySession session, java.lang.Long classId)` Constructs an S_TieLibraryObject for a new object.
`protected` | `S_TieLibraryObject(S_LibrarySession session, S_LibraryObjectData data)` Constructs an S_TieLibraryObject for an existing object.

Methods inherited from class oracle.ifs.server.S_LibraryObject
`deriveDefinition, equals, extendedPreFree, extendedPreInsert, extendedPreUpdate, free, getAttribute, getAttributeByUpperCaseName, getClassId, getClassObject, getId, getSession, handleEvent, hasNameAttribute, isTraced, postEvent, postEvent, renderAsReader, renderAsStream, setAttribute, setAttribute, toString, trace, update`

Constructor Detail

### S_TieLibraryObject

    protected S_TieLibraryObject(S_LibrarySession session,
                                 S_LibraryObjectData data)
                          throws IfsException

  Constructs an S_TieLibraryObject for an existing object.
  Parameters:
    `session` - the session
    `data` - the data
  Throws:
    `IfsException` - if the operation fails

### S_TieLibraryObject

    protected S_TieLibraryObject(S_LibrarySession session,
                                 java.lang.Long classId)
                          throws IfsException

  Constructs an S_TieLibraryObject for a new object.
  Parameters:
    `session` - the session
    `classId` - the class id
  Throws:
    `IfsException` - if the operation fails

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD